// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-fx-dtos.proto

package com.accelfin.server.demo.fx.dtos;

/**
 * Protobuf enum {@code com.accelfin.server.demo.fx.dtos.OrderStatusDto}
 */
public enum OrderStatusDto
    implements com.google.protobuf.ProtocolMessageEnum {
  /**
   * <code>ACTIVE = 0;</code>
   */
  ACTIVE(0),
  /**
   * <pre>
   * not doing partial execution for now, if it's filled it's all of it
   * </pre>
   *
   * <code>EXECUTED = 1;</code>
   */
  EXECUTED(1),
  /**
   * <code>CANCELED = 2;</code>
   */
  CANCELED(2),
  UNRECOGNIZED(-1),
  ;

  /**
   * <code>ACTIVE = 0;</code>
   */
  public static final int ACTIVE_VALUE = 0;
  /**
   * <pre>
   * not doing partial execution for now, if it's filled it's all of it
   * </pre>
   *
   * <code>EXECUTED = 1;</code>
   */
  public static final int EXECUTED_VALUE = 1;
  /**
   * <code>CANCELED = 2;</code>
   */
  public static final int CANCELED_VALUE = 2;


  public final int getNumber() {
    if (this == UNRECOGNIZED) {
      throw new java.lang.IllegalArgumentException(
          "Can't get the number of an unknown enum value.");
    }
    return value;
  }

  /**
   * @deprecated Use {@link #forNumber(int)} instead.
   */
  @java.lang.Deprecated
  public static OrderStatusDto valueOf(int value) {
    return forNumber(value);
  }

  public static OrderStatusDto forNumber(int value) {
    switch (value) {
      case 0: return ACTIVE;
      case 1: return EXECUTED;
      case 2: return CANCELED;
      default: return null;
    }
  }

  public static com.google.protobuf.Internal.EnumLiteMap<OrderStatusDto>
      internalGetValueMap() {
    return internalValueMap;
  }
  private static final com.google.protobuf.Internal.EnumLiteMap<
      OrderStatusDto> internalValueMap =
        new com.google.protobuf.Internal.EnumLiteMap<OrderStatusDto>() {
          public OrderStatusDto findValueByNumber(int number) {
            return OrderStatusDto.forNumber(number);
          }
        };

  public final com.google.protobuf.Descriptors.EnumValueDescriptor
      getValueDescriptor() {
    return getDescriptor().getValues().get(ordinal());
  }
  public final com.google.protobuf.Descriptors.EnumDescriptor
      getDescriptorForType() {
    return getDescriptor();
  }
  public static final com.google.protobuf.Descriptors.EnumDescriptor
      getDescriptor() {
    return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.getDescriptor()
        .getEnumTypes().get(4);
  }

  private static final OrderStatusDto[] VALUES = values();

  public static OrderStatusDto valueOf(
      com.google.protobuf.Descriptors.EnumValueDescriptor desc) {
    if (desc.getType() != getDescriptor()) {
      throw new java.lang.IllegalArgumentException(
        "EnumValueDescriptor is not for this type.");
    }
    if (desc.getIndex() == -1) {
      return UNRECOGNIZED;
    }
    return VALUES[desc.getIndex()];
  }

  private final int value;

  private OrderStatusDto(int value) {
    this.value = value;
  }

  // @@protoc_insertion_point(enum_scope:com.accelfin.server.demo.fx.dtos.OrderStatusDto)
}

